Name: geda-gschem
Version: 20041228
Release: alt0.2

Summary: Schematic tool for gEDA

License: GPL
Group: Video
Url: http://www.geda.seul.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %name-%version.tar.bz2
Patch: %name-%version.patch

# Automatically added by buildreq on Tue Dec 14 2004
BuildRequires: fontconfig freetype2 glib2-devel groff-base groff-extra groff-ps guile16-devel hostinfo indent libatk-devel libgeda-devel libgtk+2-devel libpango-devel libstroke-devel pkgconfig tetex-core xorg-x11-devel xorg-x11-libs

BuildRequires: libgdgeda-devel >= 1.6
BuildRequires: libgeda-devel = %version, geda-symbols = %version
#BuildRequires: geda-utils = %version
Requires: libgeda = %version, geda-symbols = %version
#Requires: geda-utils = %version

%description
Schematic tool for gEDA project.

%prep
%setup -q
%patch

%build
rm -f src/*.c
%configure
%__subst "s|g_key_|geda_key_|g" include/*.h noweb/*.nw
%make

%install
%make_install DESTDIR=$RPM_BUILD_ROOT install

%find_lang %name

# remove unwanted files
rm -f $RPM_BUILD_ROOT%_infodir/dir

mkdir -p $RPM_BUILD_ROOT%_menudir
cat >$RPM_BUILD_ROOT%_menudir/%name <<EOF
?package(%name): command="gschem" \\
section="Applications/Development" \\
title="gEDA gchem" \\
longtitle="Schematic tool" \\
genericname="Schematic tool" \\
icon=%name.xpm \\
needs="x11"
EOF

%post
%install_info gschemdoc.info
%update_menus

%preun
%uninstall_info gschemdoc.info

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS BUGS ChangeLog NEWS README TODO VOCABULARY
%config %_datadir/gEDA/gschem-gtkrc
%config %_datadir/gEDA/system-gschemrc
%_infodir/gschemdoc.info*
%_man1dir/gschem.1*
%_datadir/gEDA/gschem-darkbg
%_datadir/gEDA/gschem-lightbg
%dir %_datadir/gEDA/bitmap
%_datadir/gEDA/bitmap/*.xpm
%_datadir/gEDA/scheme/*
%_bindir/gschem
%_docdir/geda-doc
%_menudir/%name

%changelog
* Mon Feb 14 2005 Vitaly Lipatov <lav@altlinux.ru> 20041228-alt0.2
- add menu entry

* Sun Feb 06 2005 Vitaly Lipatov <lav@altlinux.ru> 20041228-alt0.1
- new version

* Tue Dec 14 2004 Vitaly Lipatov <lav@altlinux.ru> 20041214-alt0.1
- first build for ALT Linus Sisyphus
- rename g_key* functions to geda_key*

* Fri Aug 13 2004 Andy Shevchenko <andriy@asplinux.ru>
- update to version 20040111

* Thu Oct 09 2003 Andy Shevchenko <andriy@asplinux.ru>
- update to version 20030901

* Thu Jun 05 2003 Andy Shevchenko <andriy@asplinux.ru>
- update to new version

* Fri Mar 14 2003 Andy Shevchenko <andriy@asplinux.ru>
- update to new version
- rebuild for 8.1

* Sat Nov 30 2002 Pavel Gashev <pax@asplinux.ru>
- buildrequires geda-symbols

* Wed May 8 2002 Andy Shevchenko <andriy@asplinux.ru>
- update to version 20020414
- write build requirements

* Tue Feb 26 2002 Andy Shevchenko <andy@smile.org.ua>
- build rpm

